salesforce.cdp.hyperdb.v1

## Class HyperServiceGrpc.HyperServiceFutureStub

- java.lang.Object
- - io.grpc.stub.AbstractStub<S>
  - - io.grpc.stub.AbstractFutureStub<HyperServiceGrpc.HyperServiceFutureStub>
    - - salesforce.cdp.hyperdb.v1.HyperServiceGrpc.HyperServiceFutureStub

Enclosing class:
  HyperServiceGrpc

    public static final class HyperServiceGrpc.HyperServiceFutureStub
    extends io.grpc.stub.AbstractFutureStub<HyperServiceGrpc.HyperServiceFutureStub>

A stub to allow clients to do ListenableFuture-style rpc calls to service HyperService.

### Nested Class Summary

### Nested classes/interfaces inherited from class io.grpc.stub.AbstractStub

`io.grpc.stub.AbstractStub.StubFactory<T extends io.grpc.stub.AbstractStub<T>>`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected HyperServiceGrpc.HyperServiceFutureStub` `build(io.grpc.Channel channel, io.grpc.CallOptions callOptions)`
`com.google.common.util.concurrent.ListenableFuture<com.google.protobuf.Empty>` `cancelQuery(CancelQueryParam request)`

### Methods inherited from class io.grpc.stub.AbstractFutureStub

`newStub, newStub`

### Methods inherited from class io.grpc.stub.AbstractStub

`getCallOptions, getChannel, withCallCredentials, withChannel, withCompression, withDeadline, withDeadlineAfter, withExecutor, withInterceptors, withMaxInboundMessageSize, withMaxOutboundMessageSize, withOnReadyThreshold, withOption, withWaitForReady`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### build

    protected HyperServiceGrpc.HyperServiceFutureStub build(io.grpc.Channel channel,
                                                            io.grpc.CallOptions callOptions)

Specified by:
  `build` in class `io.grpc.stub.AbstractStub<HyperServiceGrpc.HyperServiceFutureStub>`

#### cancelQuery

    public com.google.common.util.concurrent.ListenableFuture<com.google.protobuf.Empty> cancelQuery(CancelQueryParam request)